XYGraphics (base API)
Date: 2019-04-05

com.twosigma.beakerx.chart.xychart.plotitem

## Class XYGraphics

- java.lang.Object
- - com.twosigma.beakerx.chart.Graphics
  - - com.twosigma.beakerx.chart.xychart.plotitem.XYGraphics

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    BasedXYGraphics, Line, Points, Rasters

      public abstract class XYGraphics
      extends Graphics

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected Color` | `baseColor`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYGraphics()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected java.lang.Number` | `getBase()`
    `protected java.util.List<java.lang.Number>` | `getBases()`
    `Color` | `getColor()`
    `java.util.List<Color>` | `getColors()`
    `java.lang.String` | `getDisplayName()`
    `Filter` | `getLodFilter()`
    `java.lang.Class` | `getPlotType()`
    `protected abstract java.util.EnumSet<Filter>` | `getPossibleFilters()`
    `java.util.List<java.lang.String>` | `getToolTips()`
    `java.util.List<java.lang.Number>` | `getX()`
    `java.util.List<java.lang.Number>` | `getY()`
    `protected void` | `setBase(java.lang.Object base)`
    `void` | `setColor(Color color)`
    `void` | `setColor(java.awt.Color color)`
    `void` | `setColor(java.util.List<java.lang.Object> colorList)`
    `void` | `setColori(Color color)`
    `void` | `setDisplayName(java.lang.String displayName)`
    `void` | `setLodFilter(Filter lodFilter)`
    `void` | `setPlotType(java.lang.Class plotType)`
    `void` | `setToolTip(java.util.List<java.lang.String> toolTips)`
    `void` | `setToolTip(java.lang.Object toolTip)`
    `void` | `setX(java.util.List<java.lang.Object> xs)`
    `void` | `setY(java.util.List<java.lang.Number> ys)`

    - ### Methods inherited from class com.twosigma.beakerx.chart.Graphics

      `clone, fireClick, fireOnKey, getClickTag, getKeys, getKeyTags, getUid, getVisible, getyAxis, getYAxis, hasClickAction, onClick, onClick, onKey, onKey, onKey, onKey, setVisible, setyAxis, setYAxis`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### baseColor

          protected Color baseColor

  - ### Constructor Detail

    - #### XYGraphics

          public XYGraphics()

  - ### Method Detail

    - #### getBases

          protected java.util.List<java.lang.Number> getBases()

    - #### getBase

          protected java.lang.Number getBase()

    - #### setBase

          protected void setBase(java.lang.Object base)

    - #### getToolTips

          public java.util.List<java.lang.String> getToolTips()

    - #### setToolTip

          public void setToolTip(java.lang.Object toolTip)

    - #### setToolTip

          public void setToolTip(java.util.List<java.lang.String> toolTips)

    - #### setX

          public void setX(java.util.List<java.lang.Object> xs)

    - #### getX

          public java.util.List<java.lang.Number> getX()

    - #### setY

          public void setY(java.util.List<java.lang.Number> ys)

    - #### getY

          public java.util.List<java.lang.Number> getY()

    - #### setDisplayName

          public void setDisplayName(java.lang.String displayName)

    - #### getDisplayName

          public java.lang.String getDisplayName()

    - #### getLodFilter

          public Filter getLodFilter()

    - #### setLodFilter

          public void setLodFilter(Filter lodFilter)

    - #### setColor

          public void setColor(Color color)

    - #### setColor

          public void setColor(java.awt.Color color)

    - #### setColor

          public void setColor(java.util.List<java.lang.Object> colorList)

    - #### getColors

          public java.util.List<Color> getColors()

    - #### setColori

          public void setColori(Color color)

      Specified by:
        `setColori` in class `Graphics`

    - #### getColor

          public Color getColor()

      Specified by:
        `getColor` in class `Graphics`

    - #### getPossibleFilters

          protected abstract java.util.EnumSet<Filter> getPossibleFilters()

    - #### getPlotType

          public java.lang.Class getPlotType()

    - #### setPlotType

          public void setPlotType(java.lang.Class plotType)